package org.phosphoresce.webcore.ext.struts.annotation;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Inherited;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Strutsアクションフォームワンタイムフィールドアノテーション<br>
 * <br>
 * 当アノテーションはActionFormフィールドに付与して利用します。<br>
 * アノテーションが付与されたフィールドはリクエストごとに常にクリアされるフィールドとして扱われます。<br>
 * CacheFieldとの併用は許可されません。<br>
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2010/07/19	Kitagawa		新規作成
 *-->
 */
@Inherited
@Retention(RetentionPolicy.RUNTIME)
@Target({ ElementType.FIELD })
@Documented
public @interface OneTimeField {
}
