package org.phosphoresce.webcore.ext.struts.exception;

import java.io.Serializable;

import org.apache.struts.action.ActionForward;
import org.phosphoresce.webcore.ext.struts.action.AbstractForm;
import org.phosphoresce.webcore.ext.struts.action.ActionContext;
import org.phosphoresce.webcore.ext.struts.action.Forward;
import org.phosphoresce.webcore.ext.struts.action.MessageSet;

/**
 * Strutsアドオンモジュール例外インタフェース<br>
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2010/07/19	Kitagawa		新規作成
 *-->
 */
public interface StrutsModuleException {

	/**
	 * アプリケーションメッセージを生成します。<br>
	 * @param actionContext アクションコンテキストオブジェクト
	 * @return アプリケーションメッセージ
	 */
	public abstract <L extends Serializable, F extends AbstractForm<L>> MessageSet createApplicationMessage(ActionContext<L, F> actionContext);

	/**
	 * 遷移用フォワードを生成します。<br>
	 * @param actionContext アクションコンテキストオブジェクト
	 * @return 遷移用フォワード
	 */
	public abstract <L extends Serializable, F extends AbstractForm<L>> Forward createActionForward(ActionContext<L, F> actionContext);

	/**
	 * レスポンスステータスを生成します。<br>
	 * @param actionContext アクションコンテキストオブジェクト
	 * @return レスポンスステータス(特別なステータスコードが不要であればnullを返却します)
	 */
	public abstract <L extends Serializable, F extends AbstractForm<L>> Integer createResponseStatus(ActionContext<L, F> actionContext);
}
